import { defineComponent, resolveComponent, openBlock, createElementBlock, normalizeClass, createElementVNode, createVNode, withCtx, Fragment, renderList, createBlock, toDisplayString, createTextVNode } from 'vue';
import script$1 from './TsIcon.mjs';
import { s as script$2 } from './headerText-0fd3adc1.mjs';
import { s as script$3 } from './normalText-66005fcf.mjs';

var script = defineComponent({
    components: {
        TsIcon: script$1,
        TsHeaderText: script$2,
        TsNormalText: script$3,
    },
    props: {
        bgColor: {
            type: String,
            default: "bg-primaryPurple",
        },
        customClass: {
            type: String,
            default: "w-full mt-4 col-span-full",
        },
    },
    name: "TsCalendar",
});

const _hoisted_1 = { class: "flex flex-row items-center justify-between px-4" };
const _hoisted_2 = /*#__PURE__*/createTextVNode(" June ");
const _hoisted_3 = { class: "w-full flex flex-row items-center flex-wrap pt-2" };
const _hoisted_4 = /*#__PURE__*/createTextVNode(" M ");
const _hoisted_5 = /*#__PURE__*/createTextVNode(" T ");
const _hoisted_6 = /*#__PURE__*/createTextVNode(" W ");
const _hoisted_7 = /*#__PURE__*/createTextVNode(" T ");
const _hoisted_8 = /*#__PURE__*/createTextVNode(" F ");
const _hoisted_9 = /*#__PURE__*/createTextVNode(" S ");
const _hoisted_10 = /*#__PURE__*/createTextVNode(" S ");
const _hoisted_11 = { class: "w-full flex flex-row items-center flex-wrap" };

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_ts_icon = resolveComponent("ts-icon");
  const _component_ts_header_text = resolveComponent("ts-header-text");
  const _component_ts_normal_text = resolveComponent("ts-normal-text");

  return (openBlock(), createElementBlock("div", {
    class: normalizeClass(`py-4 px-2 flex flex-col space-y-2 border-[1px] border-gray-200 rounded ${_ctx.customClass}`)
  }, [
    createElementVNode("div", _hoisted_1, [
      createVNode(_component_ts_icon, {
        name: "chevron-left",
        "custom-class": "h-[14px]"
      }),
      createVNode(_component_ts_header_text, { size: "lg" }, {
        default: withCtx(() => [
          _hoisted_2
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_icon, {
        name: "chevron-right",
        "custom-class": "h-[14px]"
      })
    ]),
    createElementVNode("div", _hoisted_3, [
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_4
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_5
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_6
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_7
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_8
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_9
        ]),
        _: 1 /* STABLE */
      }),
      createVNode(_component_ts_header_text, {
        size: "base",
        "custom-class": " w-[14.2857142857%]"
      }, {
        default: withCtx(() => [
          _hoisted_10
        ]),
        _: 1 /* STABLE */
      })
    ]),
    createElementVNode("div", _hoisted_11, [
      (openBlock(true), createElementBlock(Fragment, null, renderList([...Array(31).keys()], (item, index) => {
        return (openBlock(), createBlock(_component_ts_normal_text, {
          size: "base",
          "custom-class": "py-[6px] px-[6px] flex flex-col items-center justify-center  w-[14.2857142857%]",
          key: index
        }, {
          default: withCtx(() => [
            createElementVNode("span", {
              class: normalizeClass(`cursor-pointer hover:bg-fadedBackground flex flex-row items-center justify-center rounded w-[29px] h-[27px] ${
            index == 2 ? '!text-white bg-primaryPurple' : 'text-paragraphText'
          }
		${index == 4 ? ' bg-fadedBackground' : 'text-paragraphText'} ${
            index == 13 ? 'bg-fadedBackground' : 'text-paragraphText'
          }
		${index == 14 ? ' bg-fadedBackground' : 'text-paragraphText'}
		${index == 18 ? ' bg-fadedBackground' : 'text-paragraphText'}
		${index == 29 ? ' bg-fadedBackground' : 'text-paragraphText'}`)
            }, [
              createElementVNode("span", null, toDisplayString(item + 1), 1 /* TEXT */)
            ], 2 /* CLASS */)
          ]),
          _: 2 /* DYNAMIC */
        }, 1024 /* DYNAMIC_SLOTS */))
      }), 128 /* KEYED_FRAGMENT */))
    ])
  ], 2 /* CLASS */))
}

script.render = render;
script.__file = "src/components/TsCalendar/index.vue";

export { script as default };
